package com.zhiwei.manage.service;

import java.util.List;

import com.zhiwei.manage.bean.Channel;
import com.zhiwei.manage.bean.PageEty;
import com.zhiwei.manage.bean.ServerBean;

public interface ServerService {

	public void insert(ServerBean serverBean);

	public PageEty findDb(int pageNo, int pageSize, String dbName);

	public boolean update(ServerBean serverBean);

	public boolean delete(List<String> id);


	public void insertChannels(Channel channels);

	public void findPt(String pt);

	public boolean updateChannel(Channel channel);

	public boolean deleteChannel(List<String> id);

	public PageEty findChannel(int pageNo,int pageSize);
	
	public List<Channel> findDisChannel();
	
	public List<String> findDisChan();
	
}
